Package org.apache.sysds.runtime.io.hdf5

# Class H5ContiguousDataset

java.lang.Object
org.apache.sysds.runtime.io.hdf5.H5ContiguousDataset

public class H5ContiguousDataset extends Object

## Constructor Summary

Constructors
Constructor
Description
`H5ContiguousDataset(H5RootObject rootObject, H5ObjectHeader objectHeader)`

## Method Summary

Modifier and Type
Method
Description
`long`
`getDataAddress()`
`ByteBuffer`
`getDataBuffer(int row)`
`ByteBuffer`
`getDataBuffer(int row, int rowCount)`
`long`
`getDataSize()`
`H5DataTypeMessage`
`getDataType()`
`long`
`getElementSize()`
`long`
`getRowByteSize()`
`boolean`
`isRankGt2()`
`boolean`
`isRowContiguous()`
`void`
`readRowDoubles(int row, double[] dest, int destPos)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### H5ContiguousDataset

public H5ContiguousDataset(H5RootObject rootObject, H5ObjectHeader objectHeader)

## Method Details

### getDataBuffer

public ByteBuffer getDataBuffer(int row)

### getDataBuffer

public ByteBuffer getDataBuffer(int row, int rowCount)

### readRowDoubles

public void readRowDoubles(int row, double[] dest, int destPos)

### getDataType

public H5DataTypeMessage getDataType()

### getDataAddress

public long getDataAddress()

### getDataSize

public long getDataSize()

### getElementSize

public long getElementSize()

### isRankGt2

public boolean isRankGt2()

### getRowByteSize

public long getRowByteSize()

### isRowContiguous

public boolean isRowContiguous()